Bug 4597 - Globus/Condor integration
: Globus/Condor integration
Status: RESOLVED FIXED
: GRAM
wsrf scheduler interface
: 4.0.1
: HP HP-UX
: P3 normal
: 4.0.7
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-07-14 15:08 by
Modified: 2008-02-27 14:34 (History)


Attachments
patches to allow Condor job scripts to identify HP-UX, IA-64 and PA-RISC (2.11 KB, patch)
2006-07-14 15:09, Jeff Forys
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-07-14 15:08:20
One of the folks here working to create Globus and Condor software depot's for
HP-UX has discovered a couple configuration issues with respect to scripts
failing to identify HP-UX, PA-RISC and IA-64.

The following files are affected, and patches are included:

    setup/globus/find-condor-tools
    setup/globus/find-condor-provider-tools

Also, in 'setup/globus/setup-gram-common.pl', there are a couple variables
hard-coded to "INTEL" and "LINUX" ... these should be dynamically determined:

    setup/globus/setup-gram-common.pl

    my $condor_arch                 = 'INTEL';
    my $condor_os                   = 'LINUX';

    These turn values turn up in "condorArchitecture" and "condorOS" fields
    of "etc/gram-service/jndi-config.xml", hence jobs cannot be submitted on
    machines running HP-UX condor.

Jeff
------- Comment #1 From 2006-07-14 15:09:27 -------
Created an attachment (id=1003) [details]
patches to allow Condor job scripts to identify HP-UX, IA-64 and PA-RISC
------- Comment #2 From 2006-10-02 18:31:41 -------
The perl variables are hardcoded defaults and can be changed using the
-condor-arch and -condor-os options to setup-gram-common.pl. But you're right,
we could probably do some machine introspection to get better defaults.

Thanks for the pathces. We should be able to get those into the 4.2 release at
very least. They shouldn't violate our commit policy for the 4.0.x series too,
so perhaps 4.0.4 (if that comes out) will have include the patch as well.
------- Comment #3 From 2007-09-19 11:38:02 -------
Reassigning to current GRAM developer to close/fix as appropriate.
------- Comment #4 From 2008-02-27 14:34:05 -------
Other architectures mentioned in the release notes where also not handled by
the config package.
Committed updates to 4.0 branch and trunk with better detection of  HPUX, AIX,
Solaris, FreeBSD, and OSX in the find-condor-tools, find-condor-provider, and
setup-gram-common scripts.